package com.huiju.estateagents.property.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.property.model.AnnouncementTel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 物业号码表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-03-05
 */
@Mapper
public interface AnnouncementTelMapper extends BaseMapper<AnnouncementTel> {
	
	/**
	 * 分页获取电话号码
	 * @param page
	 * @param announcementTel
	 * @return
	 */
	List<AnnouncementTel> selectListByParams(Page page, @Param("announcementTel") AnnouncementTel announcementTel);
}
